=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=2

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
opts=dversionmangle=s/\~dfsg$// \
	http://sf.net/srtp/srtp-(.*)\.tgz debian svn-upgrade
